cups-config(1)

NAME
cups-config - ermittelt CUPS-API-, -Compiler-, -Verzeichnis- und -Link-Informationen (veraltet).

SYNOPSIS
cups-config --api-version
cups-config --build
cups-config --cflags
cups-config --datadir
cups-config --help
cups-config --ldflags
cups-config [ --image ] [ --static ] --libs
cups-config --serverbin
cups-config --serverroot
cups-config --version

BESCHREIBUNG
Der Befehl cups-config erlaubt es Anwendungsentwicklern, die notwendigen Befehlszeilen-Optionen für den Compiler und Linker zu bestimmen, sowie die Installationsverzeichnisse für Filter, Konfigurationsdateien und Treiber zu ermitteln. Alle Werte werden auf die Standardausgabe ausgegeben. Hinweis: Dieser Befehl ist veraltet und wird in einer zukünftigen Version von CUPS entfernt. Es sollte stattdessen der Befehl pkg-config(1) verwandt werden.

OPTIONEN
Der Befehl cups-config akzeptiert die folgenden Befehlszeilen-Optionen:

--api-version
    Berichtet die aktuelle API-Version (Hauptversion.Unterversion).

--build
    Berichtet eine systemabhängige Build-Nummer.

--cflags
    Berichtet die notwendigen Compiler-Optionen.

--datadir
    Berichtet das Standard-CUPS-Datenverzeichnis.

--help
    Berichtet die Programm-Verwendungshinweise.

--ldflags
    Berichtet die notwendigen Linker-Optionen.

--libs
    Berichtet die zum Linken notwendigen Bibliotheken.

--serverbin
    Berichtet das Standard-CUPS-Verzeichnis, in dem Filter und Backends gespeichert werden.

--serverroot
    Berichtet das Standard-CUPS-Konfigurationsverzeichnis.

--static
    Berichtet die statischen Bibliotheken, statt der Standard (Laufzeit-)Bibliotheken, wenn mit --libs verwandt.

--version
    Berichtet die vollständige Versionsnummer der CUPS-Installation (Hauptversion.Unterversion.Patch).

BEISPIELE
Zeigt die aktuell installierte Version von CUPS:

    cups-config --version

Einen einfachen CUPS-Filter in einer Datei übersetzen:

    cc `cups-config --cflags --ldflags` -o filter filter.c \
        `cups-config --libs`

VERALTETE OPTIONEN
Die folgenden Optionen sind veraltet, funktionieren zur Rückwärtskompatibilität aber weiterhin:

--image
    Früher zum Hinzufügen der CUPS-Imaging-Bibliothek zu der Liste der Bibliotheken verwandt.

SIEHE AUCH
cups(1), pkg-config(1), CUPS-Online Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.